---
updatedAt: 2026-05-20T06:29:50.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Lists Deactivation Intents

Retrieve a list of deactivation intents.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "BinanceNetwork": {
        "name": "network",
        "in": "path",
        "description": "Binance network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/BinanceNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "CommonDeactivationResponse": {
        "type": "object",
        "required": [
          "deactivate_intent_id",
          "customer_id"
        ],
        "properties": {
          "deactivate_intent_id": {
            "$ref": "#/components/schemas/DeactivateIntentId"
          },
          "customer_id": {
            "$ref": "#/components/schemas/CustomerId"
          }
        }
      },
      "CosmosAccountAddress": {
        "type": "string",
        "description": "Public Key of an asymmetric key-pair.",
        "format": "bech32",
        "pattern": "^cosmos[1-9a-zA-Z]{39}$",
        "example": "cosmos1wvvhhfm387xvfnqshmdaunnpujjrdxznr5d5x9"
      },
      "BinanceAccountAddress": {
        "type": "string",
        "description": "Binance beacon chain address.",
        "format": "bech32",
        "pattern": "^bnb[0-9a-z]+$",
        "example": "bnb13ym5szfmwh0wz9j8wr2lu2gaml94h895u9el2e"
      },
      "CustomerId": {
        "type": "string",
        "description": "Unique identifier for a customer",
        "example": "SatoshiNakamoto-xUYJbPw9hw",
        "minimum": 1
      },
      "DeactivateIntentSolana": {
        "type": "object",
        "description": "Result of the new Deactivate Intent request.",
        "required": [
          "total_deactivated_amount",
          "deactivates",
          "splits"
        ],
        "properties": {
          "deactivates": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/DeactivateStakeSolana"
            }
          },
          "splits": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SplitStakeSolana"
            }
          },
          "total_deactivated_amount": {
            "$ref": "#/components/schemas/Lamport"
          }
        }
      },
      "DeactivateStakeSolana": {
        "type": "object",
        "description": "Result of the deactivation transaction request",
        "required": [
          "unsigned_transaction",
          "stake_account_authority",
          "stake_account_address",
          "withdrawal_authority",
          "stake_id",
          "amount",
          "expiration_time"
        ],
        "properties": {
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransaction"
          },
          "stake_account_authority": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "stake_account_address": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "withdrawal_authority": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "stake_id": {
            "$ref": "#/components/schemas/StakeId"
          },
          "amount": {
            "$ref": "#/components/schemas/Lamport"
          },
          "expiration_time": {
            "$ref": "#/components/schemas/ExpirationTime"
          }
        }
      },
      "DeactivationIntents": {
        "type": "object",
        "description": "Deactivation intents",
        "required": [
          "protocol",
          "network",
          "customer_id"
        ],
        "properties": {
          "protocol": {
            "$ref": "#/components/schemas/Protocol"
          },
          "network": {
            "$ref": "#/components/schemas/Network"
          },
          "polygon": {
            "$ref": "#/components/schemas/DeactivationIntentsPolygon"
          },
          "solana": {
            "$ref": "#/components/schemas/DeactivationIntentsSolana"
          },
          "near": {
            "$ref": "#/components/schemas/DeactivationIntentsNear"
          },
          "cardano": {
            "$ref": "#/components/schemas/DeactivationIntentsCardano"
          },
          "cosmos": {
            "$ref": "#/components/schemas/DeactivationIntentsCosmos"
          },
          "binance": {
            "$ref": "#/components/schemas/DeactivationIntentsBinance"
          },
          "customer_id": {
            "$ref": "#/components/schemas/CustomerId"
          }
        }
      },
      "DeactivationIntentsPolygon": {
        "type": "object",
        "required": [
          "items",
          "wallet_address"
        ],
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Unbond"
            }
          },
          "wallet_address": {
            "$ref": "#/components/schemas/EthereumAddress"
          }
        }
      },
      "DeactivationIntentsSolana": {
        "description": "List of deactivation intents",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/SolanaDeactivationIntentResponse"
        }
      },
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "EthereumAddress": {
        "type": "string",
        "description": "Hex-encoded Ethereum [account or smart contract address](https://ethereum.org/en/developers/docs/accounts/).",
        "format": "hex",
        "pattern": "^0x[a-fA-F0-9]{40}$",
        "example": "0x00000000219ab540356cBB839Cbe05303d7705Fa"
      },
      "Lamport": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Solana.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "NearDeactivationIntentResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CommonDeactivationResponse"
          },
          {
            "type": "object",
            "description": "Response to a new deactivation intent request.",
            "required": [
              "protocol",
              "network",
              "near"
            ],
            "properties": {
              "protocol": {
                "$ref": "#/components/schemas/NearProtocol"
              },
              "network": {
                "$ref": "#/components/schemas/NearNetwork"
              },
              "near": {
                "$ref": "#/components/schemas/DeactivateIntentNear"
              }
            }
          }
        ]
      },
      "Network": {
        "type": "string",
        "description": "Protocol-specific network.",
        "enum": [
          "mainnet",
          "localnet",
          "goerli",
          "prater",
          "hoodi",
          "testnet",
          "devnet",
          "kusama",
          "westend",
          "preprod",
          "fuji",
          "local"
        ]
      },
      "Nonce": {
        "type": "integer",
        "description": "Number for one use only",
        "example": 1
      },
      "Protocol": {
        "type": "string",
        "description": "Blockchain protocol.",
        "enum": [
          "ethereum",
          "polkadot",
          "solana",
          "cosmos",
          "polygon",
          "near",
          "cardano",
          "avalanche",
          "binance"
        ]
      },
      "SolanaDeactivationIntentResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CommonDeactivationResponse"
          },
          {
            "type": "object",
            "description": "Response to a new deactivation intent request.",
            "required": [
              "network",
              "protocol",
              "solana"
            ],
            "properties": {
              "protocol": {
                "$ref": "#/components/schemas/SolanaProtocol"
              },
              "network": {
                "$ref": "#/components/schemas/SolanaNetwork"
              },
              "solana": {
                "$ref": "#/components/schemas/DeactivateIntentSolana"
              }
            }
          }
        ]
      },
      "SolanaNetwork": {
        "type": "string",
        "description": "Solana network",
        "enum": [
          "mainnet",
          "testnet"
        ]
      },
      "SolanaPublicKey": {
        "type": "string",
        "description": "Public Key of an asymmetric key-pair.",
        "format": "base58",
        "pattern": "^[1-9A-HJ-NP-Za-km-z]{44}$",
        "example": "5xot9PVkphiX2adznghwrAuxGs2zeWisNSxMW6hU6Hkj"
      },
      "SplitStakeSolana": {
        "type": "object",
        "description": "Result of the split transaction request",
        "required": [
          "unsigned_transaction",
          "stake_account_authority",
          "new_stake_account_address",
          "new_stake_id",
          "splitted_stake_account_address",
          "splitted_stake_id",
          "amount"
        ],
        "properties": {
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransaction"
          },
          "stake_account_authority": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "new_stake_account_address": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "new_stake_id": {
            "$ref": "#/components/schemas/StakeId"
          },
          "splitted_stake_account_address": {
            "$ref": "#/components/schemas/SolanaPublicKey"
          },
          "splitted_stake_id": {
            "$ref": "#/components/schemas/StakeId"
          },
          "amount": {
            "$ref": "#/components/schemas/Lamport"
          }
        }
      },
      "StakeId": {
        "description": "Unique stake identifier.",
        "type": "string",
        "format": "base58",
        "example": "stake_Wgx98Rbi8nQuL9ddn3mTk1"
      },
      "CosmosUatom": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Cosmos.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "BinanceJager": {
        "type": "string",
        "description": "The smallest denomination of Binance Coin (BNB) is called Jager. 1 Jager =0.00000001 BNB.",
        "pattern": "^[1-9]\\d+$",
        "example": "10000000000"
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "Unbond": {
        "type": "object",
        "description": "Unbond information",
        "required": [
          "nonce",
          "amount",
          "withdraw_epoch"
        ],
        "properties": {
          "nonce": {
            "$ref": "#/components/schemas/Nonce"
          },
          "amount": {
            "$ref": "#/components/schemas/Wei"
          },
          "withdraw_epoch": {
            "type": "integer"
          }
        }
      },
      "UnsignedTransaction": {
        "type": "string",
        "format": "base64",
        "description": "Generated unsigned transaction smart contract call data.",
        "example": "0x22895118000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000000e00000000000000000000000000000000000000000000000000000000000000120087fed394b43849eebef1e88873cd9efdbe33136656e5148e659b8b2f33625d40000000000000000000000000000000000000000000000000000000000000030b81748644e23c4d950f9dd709f3eb73d5eacd9657997e1d9dde7c4ebd8a6519ecb9d0a7fb603d3b68e023278f9650122000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020010000000000000000000000c509bb854c526af4cee5e037089f7aa8e091d8870000000000000000000000000000000000000000000000000000000000000060b36b79b4b206c0310472c117fa40c05342b5dc3e89f98f42c9da3ce6450d4c603cad55248017fd4eca3ab277cca64569193e4d487f5b2ea78a2bcdc81926c313c05842a3af318967a775783bba22519e8b8886587efa99aa7dab5784f792b187\n"
      },
      "UnsignedTransactionHash": {
        "type": "string",
        "format": "base64",
        "description": "A generated transaction that is ready to sign.",
        "example": "120000007465737477616c6c65742e746573746e65740025150c44ecddfe779c2ca "
      },
      "Wei": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Polygon.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "DeactivateIntentId": {
        "type": "string",
        "format": "uuid",
        "description": "Unique idenifier for deactivate intent.",
        "example": "4ba06e89-8c29-483e-ac36-318de5aa7364"
      },
      "NearAddress": {
        "type": "string",
        "description": "Base58 encoded public key or registered named account. [Accounts](https://docs.near.org/concepts/basics/accounts/account-id/).",
        "pattern": "^([a-km-zA-HJ-NP-Z1-9]{22,44})|((([a-z\\d]+[-_])*[a-z\\d]+\\.)*([a-z\\d]+[-_])*[a-z\\d]+)$",
        "example": "alice.near"
      },
      "NearNetwork": {
        "type": "string",
        "description": "NEAR network",
        "enum": [
          "mainnet",
          "testnet",
          "localnet"
        ]
      },
      "NearYocto": {
        "type": "string",
        "description": "Denomination of NEAR Protocol.",
        "pattern": "^[1-9]\\d+$",
        "example": "100000000000000000000000000"
      },
      "DeactivateIntentNear": {
        "type": "object",
        "description": "NEAR Protocol Deactivate Intent",
        "required": [
          "to",
          "unsigned_transaction",
          "unsigned_transaction_hash",
          "amount",
          "wallet_address",
          "public_key",
          "expiration_time"
        ],
        "properties": {
          "to": {
            "$ref": "#/components/schemas/NearAddress"
          },
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransaction"
          },
          "unsigned_transaction_hash": {
            "$ref": "#/components/schemas/UnsignedTransactionHash"
          },
          "amount": {
            "$ref": "#/components/schemas/NearYocto"
          },
          "wallet_address": {
            "$ref": "#/components/schemas/NearAddress"
          },
          "public_key": {
            "$ref": "#/components/schemas/NearPublicKey"
          },
          "expiration_time": {
            "$ref": "#/components/schemas/ExpirationTime"
          }
        }
      },
      "DeactivationIntentsNear": {
        "type": "array",
        "description": "List of deactivation intents",
        "items": {
          "$ref": "#/components/schemas/NearDeactivationIntentResponse"
        }
      },
      "DeactivationIntentsCardano": {
        "type": "array",
        "description": "List of deactivation intents",
        "items": {
          "type": "object",
          "description": "Cardano Protocol Deactivate Intent",
          "required": [
            "deactivate_intent_id",
            "base_address",
            "unsigned_transaction"
          ],
          "properties": {
            "deactivate_intent_id": {
              "$ref": "#/components/schemas/DeactivateIntentId"
            },
            "base_address": {
              "$ref": "#/components/schemas/CardanoBaseAddress"
            },
            "unsigned_transaction": {
              "$ref": "#/components/schemas/UnsignedTransaction"
            }
          }
        }
      },
      "NearPublicKey": {
        "type": "string",
        "description": "Base58 encoded public key prefixed by ed25519, associated with the private key that will be used to sign the transaction.",
        "example": "ed25519:Cxg2wgFYrdLTEkMu6j5D6aEZqTb3kXbmJygS48ZKbo1S",
        "pattern": "^ed25519:[a-km-zA-HJ-NP-Z1-9]{22,44}$"
      },
      "CardanoBaseAddress": {
        "type": "string",
        "description": "bech32 encoded base address. [Accounts](https://cips.cardano.org/cips/cip19/).",
        "format": "bech32",
        "example": "addr1vpu5vlrf4xkxv2qpwngf6cjhtw542ayty80v8dyr49rf5eg0yu80w"
      },
      "SolanaProtocol": {
        "type": "string",
        "description": "Solana protocol",
        "enum": [
          "solana"
        ]
      },
      "NearProtocol": {
        "type": "string",
        "description": "Near protocol",
        "enum": [
          "near"
        ]
      },
      "CosmosNetwork": {
        "type": "string",
        "description": "Cosmos network",
        "enum": [
          "mainnet",
          "testnet"
        ]
      },
      "CosmosProtocol": {
        "type": "string",
        "description": "Cosmos protocol",
        "enum": [
          "cosmos"
        ]
      },
      "BinanceNetwork": {
        "type": "string",
        "description": "Binance beacon chain network",
        "enum": [
          "mainnet",
          "testnet"
        ]
      },
      "BinanceProtocol": {
        "type": "string",
        "description": "Binance beacon chain protocol",
        "enum": [
          "binance"
        ]
      },
      "ExpirationTime": {
        "type": "integer",
        "description": "Transaction expiration time",
        "format": "int64",
        "example": 1689939023
      },
      "DeactivateIntentCosmos": {
        "type": "object",
        "description": "Cosmos Deactivate Intent",
        "required": [
          "unsigned_transaction",
          "delegator_address",
          "validator_address",
          "amount"
        ],
        "properties": {
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransaction"
          },
          "delegator_address": {
            "$ref": "#/components/schemas/CosmosAccountAddress"
          },
          "validator_address": {
            "$ref": "#/components/schemas/CosmosAccountAddress"
          },
          "amount": {
            "$ref": "#/components/schemas/CosmosUatom"
          },
          "hex_transaction": {
            "$ref": "#/components/schemas/ProcessedComosTransaction"
          }
        }
      },
      "DeactivationIntentsCosmos": {
        "type": "array",
        "description": "List of deactivation intents",
        "items": {
          "$ref": "#/components/schemas/CosmosDeactivationIntentResponse"
        }
      },
      "CosmosDeactivationIntentResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CommonDeactivationResponse"
          },
          {
            "type": "object",
            "description": "Response to a new deactivation intent request.",
            "required": [
              "protocol",
              "network",
              "cosmos"
            ],
            "properties": {
              "protocol": {
                "$ref": "#/components/schemas/CosmosProtocol"
              },
              "network": {
                "$ref": "#/components/schemas/CosmosNetwork"
              },
              "cosmos": {
                "$ref": "#/components/schemas/DeactivateIntentCosmos"
              }
            }
          }
        ]
      },
      "DeactivateIntentBinance": {
        "type": "object",
        "description": "Binance Deactivate Intent",
        "required": [
          "unsigned_transaction",
          "delegator_address",
          "validator_address",
          "amount"
        ],
        "properties": {
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransaction"
          },
          "delegator_address": {
            "$ref": "#/components/schemas/BinanceAccountAddress"
          },
          "validator_address": {
            "$ref": "#/components/schemas/BinanceValidatorAddress"
          },
          "amount": {
            "$ref": "#/components/schemas/BinanceJager"
          }
        }
      },
      "DeactivationIntentsBinance": {
        "type": "array",
        "description": "List of deactivation intents",
        "items": {
          "$ref": "#/components/schemas/BinanceDeactivationIntentResponse"
        }
      },
      "BinanceDeactivationIntentResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CommonDeactivationResponse"
          },
          {
            "type": "object",
            "description": "Response to a new deactivation intent request.",
            "required": [
              "protocol",
              "network",
              "binance"
            ],
            "properties": {
              "protocol": {
                "$ref": "#/components/schemas/BinanceProtocol"
              },
              "network": {
                "$ref": "#/components/schemas/BinanceNetwork"
              },
              "binance": {
                "$ref": "#/components/schemas/DeactivateIntentBinance"
              }
            }
          }
        ]
      },
      "BinanceValidatorAddress": {
        "type": "string",
        "description": "Binance beacon chain validator address.",
        "format": "bech32",
        "pattern": "^bva[0-9a-zA-Z]*$",
        "example": "bva1mrpf5n5e5knn3z9qng5pnex3m9pvyhg6434j0t"
      },
      "ProcessedComosTransaction": {
        "type": "object",
        "description": "Returns back the transactionHash and unsignedTxHex for signing purposes",
        "required": [
          "transactionHash",
          "unsignedTxHex"
        ],
        "properties": {
          "transaction_hash": {
            "type": "string",
            "description": "The SHA-256 hash of the signable transaction in hexadecimal format.",
            "example": "BD2B84693A0AE959C63A8D4D1F77125449312EED64E53C654D2D7F07E4592BAE"
          },
          "unsigned_transaction_hex": {
            "type": "string",
            "description": "The original unsigned transaction encoded in hexadecimal format.",
            "example": "APOENA93A0AE959C63A8D4D1F77125449312EED64E53C654D2D7F07E4592BAAF"
          }
        }
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/binance/{network}/deactivation-intents": {
      "parameters": [
        {
          "$ref": "#/components/parameters/BinanceNetwork"
        }
      ],
      "get": {
        "summary": "Lists Deactivation Intents",
        "operationId": "getBinanceDeactivationIntents",
        "tags": [
          "Binance"
        ],
        "description": "Retrieve a list of deactivation intents.",
        "responses": {
          "200": {
            "description": "Deactivation intents listed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DeactivationIntents"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Binance",
      "description": "Binance endpoints"
    }
  ]
}
```